Skip to main content
GET
/
tickets
/
{ticket_id}
/
comments
/
{comment_id}
Get a comment
curl --request GET \
  --url https://{your-subdomain}.neetodesk.com/api/external/v2/tickets/{ticket_id}/comments/{comment_id} \
  --header 'X-Api-Key: <x-api-key>'
{
  "comment": {
    "id": "aaaabbbb-cccc-dddd-eeee-ffff00002222",
    "created_at": "2023-11-07T05:31:56Z",
    "comment_type": "reply",
    "content": "We are looking into the issue and will update you shortly.",
    "author": {
      "id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
      "name": "Oliver Smith",
      "email": "oliver@example.com",
      "type": "user"
    },
    "attachments": [
      {
        "id": "aaaabbbb-cccc-dddd-eeee-ffff00003333",
        "url": "https://example.com/attachments/screenshot.png",
        "filename": "screenshot.png"
      }
    ],
    "mentions": [
      {
        "id": "aaaabbbb-cccc-dddd-eeee-ffff00005555",
        "name": "Daniel Kuhlman",
        "email": "daniel.kuhlman@example.com"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.neetodesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

ticket_id
string
required

ID of the ticket. You can use either the ticket ID (UUID) or ticket number (sequential number) interchangeably. Refer to Getting Ticket ID section for detailed instructions.

comment_id
string
required

ID of the comment.

Response

200 - application/json

OK - Request succeeded

comment
object